class SerializableGuest < JSONAPI::Serializable::Resource
  type 'guest'

  attributes :id, :email, :group_id, :status

  attribute :name do
    "#{@object.first_name} #{@object.last_name}"
  end

  attribute :group_name do
    @object.group.name
  end

  attribute :status do
    @object.status.capitalize
  end
end
